hw_api::move
hw_api::objectbyanchor
Hyperwave API Functions
PHP Manual

# hw_api::object

Retrieve attribute information

### Description

hw_api_object hw_api::object ( array `$parameter` )

This function retrieves the attribute information of an object of any version. It will not return the document content.

### Parameters

`parameter`

  The parameter array contains the required elements 'objectIdentifier' and the optional elements 'attributeSelector' and 'version'.

### Return Values

The returned object is an instance of class HW_API_Object on success or HW_API_Error if an error occurred.

### Examples

This simple example retrieves an object and checks for errors.

Example #1 Retrieve an object

`<?php
function handle_error($error)
{
$reason = $error->reason(0);
echo "Type: <b>";
switch ($reason->type()) {
case 0:
echo "Error";
break;
case 1:
echo "Warning";
break;
case 2:
echo "Message";
break;
}
echo "</b><br />\n";
echo "Description: " . $reason->description("en") . "<br />\n";
}
function list_attr($obj)
{
echo "<table>\n";
$count = $obj->count();
for ($i=0; $i<$count; $i++) {
$attr = $obj->attribute($i);
printf("<tr><td align=\"right\" bgcolor=\"#c0c0c0\"><b>%s</b></td><td bgcolor=\"#F0F0F0\">%s</td></tr>\n",
$attr->key(), $attr->value());
}
echo "</table>\n";
}
$hwapi = hwapi_hgcsp($g_config[HOSTNAME]);
$parms = array("objectIdentifier"=>"rootcollection", "attributeSelector"=>array("Title", "Name", "DocumentType"));
$root = $hwapi->object($parms);
if (get_class($root) == "HW_API_Error") {
handle_error($root);
exit;
}
list_attr($root);
?>`

### See Also

- hw_api::content